Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360284 (qt5-qtdeclarative-render2d) - Review Request: qt5-qtdeclarative-render2d - Render 2D QtDeclarative component
Summary: Review Request: qt5-qtdeclarative-render2d - Render 2D QtDeclarative component
Keywords:
Status: CLOSED RAWHIDE
Alias: qt5-qtdeclarative-render2d
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
Rex Dieter
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2016-07-26 11:57 UTC by Helio Chissini de Castro
Modified: 2017-02-02 14:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-02 14:53:00 UTC
rdieter: fedora-review+


Attachments (Terms of Use)

Description Helio Chissini de Castro 2016-07-26 11:57:55 UTC
Spec URL: https://heliocastro.fedorapeople.org/qt5-qtdeclarative-render2d/qt5-qtdeclarative-render2d.spec
SRPM URL: https://heliocastro.fedorapeople.org/qt5-qtdeclarative-render2d/qt5-qtdeclarative-render2d-5.7.0-2.fc24.src.rpm
Description: Qt5 - QtDeclarative component.
Fedora Account System Username: heliocastro

Comment 1 Kevin Kofler 2016-10-07 14:40:44 UTC
Note that this will become obsolete with Qt 5.8, where the 2D renderer becomes part of qt5-qtdeclarative itself.

Comment 2 Kevin Kofler 2016-10-07 14:42:29 UTC
Also please fix your spec URL, which gives me an error 404.

Comment 3 Helio Chissini de Castro 2016-11-23 10:35:30 UTC
The URL reflects the official URL. Packages just not moved to there yet ( will be today )

New source:
SPEC URL: https://heliocastro.fedorapeople.org/qt5-qtdeclarative-render2d/qt5-qtdeclarative-render2d.spec
SRPM URL: https://heliocastro.fedorapeople.org/qt5-qtdeclarative-render2d/qt5-qtdeclarative-render2d-5.7.1-1.fc25.src.rpm

Comment 4 Rex Dieter 2016-11-23 14:26:49 UTC
naming: ok

license: ok

sources: ok (for now, 5.7.1 tarballs not officially released yet)

macros: ok

scriptlets: ok

follows style/conventions of other qt5- packages

1.  dir
%{_qt5_plugindir}/scenegraph/

is unowned, I'd suggest changing 
%{_qt5_plugindir}/scenegraph/libsoftwarecontext.so
to
%{_qt5_plugindir}/scenegraph/
in %%files list


2.  If -devel pkg is *just* for cmake files, having a separate -devel pkg is probably not needed imho.  SHOULD drop -devel, and include this content in the main pkg.
And maybe add something like 
Obsoletes: qt5-qtdeclarative-render2d-devel < 5.7.1-1
Provides: qt5-qtdeclarative-render2d-devel = %{version}-%{release}
if you want



APPROVED

Comment 5 Raphael Groner 2017-02-01 00:34:41 UTC
Assigning the right approver.

Comment 6 Rex Dieter 2017-02-02 14:53:00 UTC
confirmed imported, closing


Note You need to log in before you can comment on or make changes to this bug.